Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2006 BEA Systems, Inc. All Rights Reserved
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.commerce.ebusiness.price.engine.pool
Interface ItemObject

All Superinterfaces
  Comparable, PoolObject

All Known Implementing Classes:
  ItemObjectProxyImpl

    public interface ItemObject

extends PoolObject, Comparable

Represents an single (quantity 1) item (ProductItem) in a pool.

Method Summary
`boolean` | `equalLineItem(ItemObject object)` returns true if the given object comes from the same LineItem.
`Money` | `getBasePrice()` Corresponds to ProductItem.getCurrentPrice()
`CategoryKey[]` | `getCategoryKeys()` Corresponds to ProductItem.XXXXX()
`CatalogItemKey` | `getItemKey()` Corresponds to ProductItem.getCatalogItemKey()
`LineItem` | `getLineItem()`
`Money` | `getMsrp()` Corresponds to ProductItem.getMsrp()

Methods inherited from interface com.bea.commerce.ebusiness.price.engine.pool.PoolObject
`getActualPrice, getPool, getUID`

Methods inherited from interface java.lang.Comparable
`compareTo`

Method Detail

### getBasePrice

    Money getBasePrice()

  Corresponds to ProductItem.getCurrentPrice()

  Returns
    Money a money object that represents the base price of the item.
  See Also
    `Money`, `ProductItem`

### getMsrp

    Money getMsrp()

  Corresponds to ProductItem.getMsrp()

  Returns
    Money a money object that represents the MSRP price of the item.
  See Also
    `Money`, `ProductItem`

### getItemKey

    CatalogItemKey getItemKey()

  Corresponds to ProductItem.getCatalogItemKey()

  Returns
    CatalogItemKey the item key for this item.
  See Also
    `CatalogItemKey`, `ProductItem`

### getCategoryKeys

    CategoryKey[] getCategoryKeys()

  Corresponds to ProductItem.XXXXX()

  Returns
    CategoryKey the key for the categor(ies) of this item.
  See Also
    `CategoryKey`, `ProductItem`

### equalLineItem

    boolean equalLineItem(ItemObject object)

  returns true if the given object comes from the same LineItem.

### getLineItem

    LineItem getLineItem()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006 BEA Systems, Inc. All Rights Reserved